Get Applications Members

Get Applications Members
Get member details of applications

Get member details of applications

Request
URI
POST
https://{api_host}/api/ni/groups/applications/members
COPY
Request Body
GroupsMembersRequest of type(s) application/json
Required
{
    "entity_ids": [
        "string"
    ],
    "cursor": "string"
}
array of string
entity_ids
Optional

entity_ids

string
cursor
Optional

cursor

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApplicationsMembersResponse of type(s) application/json
{
    "results": [
        {
            "entity_id": "string",
            "entity_type": "string",
            "name": "string",
            "created_by": "string",
            "creation_time": 0,
            "last_modified_by": "string",
            "last_modified_by_service": "string",
            "last_modified_time": 0,
            "source": "string",
            "tiers": [
                {
                    "entity_id": "string",
                    "entity_type": "string",
                    "name": "string",
                    "members": [
                        {
                            "entity_id": "string",
                            "entity_type": "string",
                            "vendor_infos": [
                                {
                                    "vendor_ids": [
                                        {
                                            "id_type": "string",
                                            "id_value": "string"
                                        }
                                    ],
                                    "manager": {
                                        "entity_id": "string",
                                        "entity_type": "VirtualMachine",
                                        "entity_name": "string"
                                    }
                                }
                            ]
                        }
                    ],
                    "discovery_info": {
                        "sources": [
                            {
                                "source_type": "string",
                                "entity_id": "string",
                                "manager_entity_id": "string"
                            }
                        ]
                    }
                }
            ],
            "discovery_info": {
                "sources": [
                    {
                        "source_type": "string",
                        "entity_id": "string",
                        "manager_entity_id": "string"
                    }
                ]
            },
            "curated_groups": [
                "string"
            ],
            "confidence": "string"
        }
    ],
    "cursor": "string",
    "total_count": 0
}
array of object
results
Optional

results

string
cursor
Optional

cursor

integer As int32 As int32
total_count
Optional

total_count


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/groups/applications/members